Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.7.1 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.util
Interface CertificateEventListener

All Known Implementing Classes:
  ClearspaceManager, ConnectionManagerImpl

    public interface CertificateEventListener

Interface to listen for certificate events. Use the `CertificateManager.addListener(CertificateEventListener)` method to register for events.

Author:
  Gaston Dombiak

Method Summary
`void` | `certificateCreated(KeyStore keyStore, String alias, X509Certificate cert)` Event triggered when a new certificate is created.
`void` | `certificateDeleted(KeyStore keyStore, String alias)` Event triggered when a certificate is being deleted from the keystore.
`void` | `certificateSigned(KeyStore keyStore, String alias, List<X509Certificate> certificates)` Event triggered when a certificate has been signed by a Certificate Authority.

Method Detail

### certificateCreated

    void certificateCreated(KeyStore keyStore,
                            String alias,
                            X509Certificate cert)

  Event triggered when a new certificate is created.

  Parameters:
    `keyStore` - key store where the certificate has been added.
    `alias` - the alias of the certificate in the keystore.
    `cert` - the new certificate created.

### certificateDeleted

    void certificateDeleted(KeyStore keyStore,
                            String alias)

  Event triggered when a certificate is being deleted from the keystore.

  Parameters:
    `keyStore` - key store where the certificate is being deleted.
    `alias` - the alias of the certificate in the keystore.

### certificateSigned

    void certificateSigned(KeyStore keyStore,
                           String alias,
                           List<X509Certificate> certificates)

  Event triggered when a certificate has been signed by a Certificate Authority.

  Parameters:
    `keyStore` - key store where the certificate is stored.
    `alias` - the alias of the certificate in the keystore.
    `certificates` - chain of certificates. First certificate in the list is the certificate being signed and last certificate in the list is the root certificate.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.7.1 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.